/**
 * @description
 *
 * This function returns the zone un-patched API for the a specific Browser API.
 * If no target is passed the window is used instead
 *
 * @param name - The name of the API to check.
 * @param target - The target to get un-patched API from.
 * @return {Function} - The zone un-patched API in question.
 *
 */
export declare function getZoneUnPatchedApi<N extends keyof (Window & typeof globalThis)>(name: N): (Window & typeof globalThis)[N];
export declare function getZoneUnPatchedApi<T extends object, N extends keyof T>(target: T, name: N): T[N];
