import { PriorityLevel } from './schedulerPriorities';
type Heap = Array<ReactSchedulerTask>;
export interface SchedulerTaskZone {
    run<T>(fn: (...args: any[]) => T): T;
}
export interface ReactSchedulerTask {
    id: number;
    sortIndex: number;
    callback: Function;
    priorityLevel: PriorityLevel;
    startTime: number;
    expirationTime: number;
    isQueued?: boolean;
    ngZone?: SchedulerTaskZone;
}
export declare function push(heap: Heap, node: ReactSchedulerTask): void;
export declare function peek(heap: Heap): ReactSchedulerTask | null;
export declare function pop(heap: Heap): ReactSchedulerTask | null;
export {};
