"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJsonInTree = void 0;
function readJsonInTree(host, path) {
    if (!host.exists(path)) {
        throw new Error(`Cannot find ${path}`);
    }
    const buffer = host.read(path);
    if (buffer != null) {
        const contents = buffer.toString('utf-8');
        try {
            return JSON.parse(contents);
        }
        catch (e) {
            throw new Error(`Cannot parse ${path}: ${e.message}`);
        }
    }
    throw new Error(`cannot read ${path}`);
}
exports.readJsonInTree = readJsonInTree;
